<template>
    <div
        class="tab-pane fade"
        id="v-pills-addresses"
        role="tabpanel"
        aria-labelledby="v-pills-addresses-tab"
        v-if="this.user.role == 1 || this.user.role == 10"
    >
        <div class="card m-b-30">
            <div class="card-header">
                <h5 class="card-title mb-0">My Addresses</h5>
            </div>
            <div class="card-body">
                <div class="row justify-content-center">
                    <div class="col-lg-12 col-xl-12">
                        <div class="address-box">
                            <div class="card border m-b-30">
                                <div class="card-body text-center py-5">
                                    <p>
                                        <button
                                            type="button"
                                            class="btn btn-round btn-success-rgba"
                                        >
                                            <i class="feather icon-plus"></i>
                                        </button>
                                    </p>
                                    <h5 class="mt-4 mb-0">
                                        Add New Address
                                    </h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12 col-xl-6">
                        <div class="address-box">
                            <div class="card border m-b-30">
                                <div class="card-header">
                                    <h5 class="mb-0">Amy Adams</h5>
                                </div>
                                <div class="card-body">
                                    <p>+1 9876543210</p>
                                    <p>
                                        4209 Public Work Drive, 24th Street,
                                        Near Oklahoma Building, Cleveland,
                                        Tennessee, USA.
                                    </p>
                                    <p class="mb-0">demo@example.com</p>
                                </div>
                                <div class="card-footer">
                                    <div class="button-list">
                                        <button
                                            type="button"
                                            class="btn btn-round btn-success-rgba mb-1"
                                        >
                                            <i class="feather icon-edit-2"></i>
                                        </button>
                                        <button
                                            type="button"
                                            class="btn btn-round btn-danger-rgba mb-1"
                                        >
                                            <i class="feather icon-trash"></i>
                                        </button>
                                        <button
                                            type="button"
                                            class="btn btn-primary-rgba font-16 mb-0"
                                        >
                                            Default
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 col-xl-6">
                        <div class="address-box">
                            <div class="card border m-b-30">
                                <div class="card-header">
                                    <h5 class="mb-0">Amy Adams</h5>
                                </div>
                                <div class="card-body">
                                    <p>+1 9876543210</p>
                                    <p>
                                        4209 Public Work Drive, 24th Street,
                                        Near Oklahoma Building, Cleveland,
                                        Tennessee, USA.
                                    </p>
                                    <p class="mb-0">demo@example.com</p>
                                </div>
                                <div class="card-footer">
                                    <div class="button-list">
                                        <button
                                            type="button"
                                            class="btn btn-round btn-success-rgba mb-1"
                                        >
                                            <i class="feather icon-edit-2"></i>
                                        </button>
                                        <button
                                            type="button"
                                            class="btn btn-round btn-danger-rgba mb-1"
                                        >
                                            <i class="feather icon-trash"></i>
                                        </button>
                                        <button
                                            type="button"
                                            class="btn btn-secondary-rgba font-16 mb-0"
                                        >
                                            Make Default
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: ["users"],
    mounted() {
        
    },
    data() {
        return {
            user: this.users
        };
    }
};
</script>
